Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698646 - sys-devel/gcc-9.2.0-r2 stabilization
Summary: sys-devel/gcc-9.2.0-r2 stabilization
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 697708
Blocks:
  Show dependency tree
 
Reported: 2019-10-27 12:04 UTC by Sergei Trofimovich (RETIRED)
Modified: 2021-08-11 19:59 UTC (History)
6 users (show)

See Also:
Package list:
sys-devel/gcc-9.2.0-r2
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich (RETIRED) gentoo-dev 2019-10-27 12:04:48 UTC
=sys-devel/gcc-9.2.0-r1 stabilization bug. Not CC-ing arches just yet as I'd like to give a heads up to wider audience first.
Comment 1 Sergei Trofimovich (RETIRED) gentoo-dev 2019-10-27 12:17:29 UTC
Sent out a -del ML announcement as:
    https://archives.gentoo.org/gentoo-dev/message/c1ec6010b1b36d60b59e891cd2a77d94
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2019-11-06 23:37:48 UTC
Arches, please stabilize
    =sys-devel/gcc-9.2.0-r2
for KEYWORDS
    alpha amd64 arm arm64 hppa ia64 m68k ppc ppc64 s390 sh sparc x86

Many tests are known broken and should be ignored or looked at individually.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-11-07 15:35:18 UTC
arm64 stable
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-07 17:25:18 UTC
amd64 stable
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-07 17:27:26 UTC
amd64 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-07 17:29:52 UTC
amd64 stable
Comment 7 Thomas Deutschmann gentoo-dev 2019-11-07 20:06:50 UTC
x86 stable
Comment 8 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-08 08:31:37 UTC
s390 stable
Comment 9 Matt Turner gentoo-dev 2019-11-11 00:26:40 UTC
sparc stable
Comment 10 Agostino Sarubbo gentoo-dev 2019-11-12 13:36:33 UTC
ppc64 stable
Comment 11 Matt Turner gentoo-dev 2019-11-12 19:43:25 UTC
alpha stable
Comment 12 Agostino Sarubbo gentoo-dev 2019-11-13 07:39:57 UTC
ppc stable
Comment 13 Agostino Sarubbo gentoo-dev 2019-11-14 11:56:20 UTC
ia64 stable
Comment 14 Rolf Eike Beer archtester 2019-11-19 19:56:57 UTC
hppa stable
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-11-22 09:40:38 UTC
arm stable
Comment 16 David Carlos Manuelda 2019-12-15 00:00:24 UTC
Before this is stabilized, this commit needs to be backported https://github.com/gcc-mirror/gcc/commit/3d9bf16ac2ce6643e4240cdd0c65f7aabc4aae61 either several packages will fail to build/work properly (like llvm) with the error:

"The futex facility returned an unexpected error code."
Comment 17 Sergei Trofimovich (RETIRED) gentoo-dev 2019-12-15 01:18:23 UTC
(In reply to David Carlos Manuelda from comment #16)
> Before this is stabilized, this commit needs to be backported
> https://github.com/gcc-mirror/gcc/commit/
> 3d9bf16ac2ce6643e4240cdd0c65f7aabc4aae61 either several packages will fail
> to build/work properly (like llvm) with the error:
> 
> "The futex facility returned an unexpected error code."

Please file a separate bug. gcc-9.2.0 stabilization is already done for most arches.
Comment 18 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-03-26 14:07:30 UTC
SuperH port disbanded.
Comment 19 Sergei Trofimovich (RETIRED) gentoo-dev 2020-04-21 07:13:53 UTC
m68k dropped stable keywords

Last arch. Closing.